> ## Documentation Index
> Fetch the complete documentation index at: https://docs.harvestapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company

> Get the LinkedIn company. Required at least one of the query parameters

<CodeGroup>
  ```javascript JavaScript theme={null}
  const params = new URLSearchParams({
    url: 'https://www.linkedin.com/company/google/', // by URL
    // universalName: 'google', // by universalName alternatively
  });

  fetch(`https://api.harvestapi.io/linkedin/company?${params.toString()}`, {
    headers: { 'X-API-Key': '<api-key>' },
  })
    .then((response) => response.json())
    .then((data) => console.log(data));
  ```

  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.harvestapi.io/linkedin/company?universalName=google \
    --header 'X-API-Key: <api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.harvestapi.io/linkedin/company?universalName=google"

  headers = {"X-API-Key": "<api-key>"}

  response = requests.request("GET", url, headers=headers)

  print(response.text)
  ```
</CodeGroup>


## OpenAPI

````yaml GET /linkedin/company
openapi: 3.0.1
info:
  title: HarvestAPI LinkedIn API reference
  description: HarvestAPI LinkedIn API reference
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.harvestapi.io
security:
  - ApiKeyAuthHeader: []
paths:
  /linkedin/company:
    get:
      summary: Get the LinkedIn company
      description: Get the LinkedIn company. Required at least one of the query parameters
      parameters:
        - name: url
          in: query
          description: URL of the LinkedIn company (optional)
          schema:
            type: string
            format: url
        - name: universalName
          in: query
          description: >-
            Universal name of the LinkedIn company profile, can be found in URL
            (optional)
          schema:
            type: string
        - name: search
          in: query
          description: >-
            Company name. It will use LinkedIn search and return the most
            relevant result.
          schema:
            type: string
      responses:
        '200':
          description: Company profile response
          content:
            application/json:
              schema:
                type: object
                properties:
                  element:
                    $ref: '#/components/schemas/Company'
                  status:
                    type: string
                  error:
                    type: string
                  query:
                    type: object
                    properties:
                      url:
                        type: string
                      universalName:
                        type: string
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Company:
      type: object
      properties:
        id:
          type: string
        universalName:
          type: string
        linkedinUrl:
          type: string
          format: uri
        name:
          type: string
        tagline:
          type: string
        website:
          type: string
          format: uri
        logo:
          type: string
          format: uri
        foundedOn:
          $ref: '#/components/schemas/FoundedOnDate'
        employeeCount:
          type: integer
        employeeCountRange:
          $ref: '#/components/schemas/EmployeeCountRange'
        followerCount:
          type: integer
        description:
          type: string
        companyType:
          type: string
        locations:
          type: array
          items:
            $ref: '#/components/schemas/CompanyLocation'
        specialities:
          type: array
          items:
            type: string
        industries:
          type: array
          items:
            $ref: '#/components/schemas/Industry'
        logos:
          type: array
          items:
            $ref: '#/components/schemas/ImageResource'
        backgroundCover:
          type: string
          format: uri
        backgroundCovers:
          type: array
          items:
            $ref: '#/components/schemas/ImageResource'
        active:
          type: boolean
        jobSearchUrl:
          type: string
          format: uri
        pageVerified:
          type: boolean
        pageType:
          type: string
        showcase:
          type: boolean
        paidCompany:
          type: boolean
        autoGenerated:
          type: boolean
        callToActionUrl:
          type: string
          format: uri
        similarOrganizations:
          type: array
          items:
            $ref: '#/components/schemas/SimilarOrganization'
        affiliatedPages:
          type: array
          items:
            $ref: '#/components/schemas/AffiliatedPage'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    FoundedOnDate:
      type: object
      properties:
        month:
          type: integer
          nullable: true
        year:
          type: integer
          nullable: true
        day:
          type: integer
          nullable: true
    EmployeeCountRange:
      type: object
      properties:
        start:
          type: integer
          nullable: true
        end:
          type: integer
          nullable: true
    CompanyLocation:
      type: object
      properties:
        country:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        geographicArea:
          type: string
          nullable: true
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        headquarter:
          type: boolean
        description:
          type: string
          nullable: true
        parsed:
          $ref: '#/components/schemas/ParsedLocation'
    Industry:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        urn:
          type: string
        title:
          type: string
        hierarchy:
          type: string
    ImageResource:
      type: object
      properties:
        url:
          type: string
          format: uri
        width:
          type: integer
        height:
          type: integer
    SimilarOrganization:
      type: object
      properties:
        id:
          type: string
        universalName:
          type: string
        linkedinUrl:
          type: string
          format: uri
        name:
          type: string
        logo:
          type: string
          format: uri
        employeeCountRange:
          $ref: '#/components/schemas/EmployeeCountRange'
        followerCount:
          type: integer
        description:
          type: string
        industries:
          type: array
          items:
            $ref: '#/components/schemas/Industry'
        backgroundCover:
          type: string
          format: uri
    AffiliatedPage:
      type: object
      properties:
        id:
          type: string
        universalName:
          type: string
        linkedinUrl:
          type: string
          format: uri
        name:
          type: string
        logo:
          type: string
          format: uri
        followerCount:
          type: integer
        description:
          type: string
        industries:
          type: array
          items:
            $ref: '#/components/schemas/Industry'
        logos:
          type: array
          items:
            $ref: '#/components/schemas/ImageResource'
        showcase:
          type: boolean
        paidCompany:
          type: boolean
    ParsedLocation:
      type: object
      properties:
        text:
          type: string
        countryCode:
          type: string
        regionCode:
          type: string
          nullable: true
        country:
          type: string
        countryFull:
          type: string
        state:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuthHeader:
      type: apiKey
      in: header
      name: X-API-Key

````